<Query Kind="Program">
  <Namespace>System.Threading.Tasks</Namespace>
</Query>

void Main()
{
	var a = 1;
	var task1 = Task.Factory.StartNew<int>(() => F1(a));
	var task2 = Task.Factory.StartNew<int>(() => F2(a));
	
	var continue1 = Task.Factory.ContinueWhenAll<int, int>(
		new[] { task1, task2},
		tasks => aggregator(task1.Result, task2.Result));

		
	continue1.ContinueWith(sum =>
		Console.WriteLine(sum.Result));
		
	Console.Read();
	
}

// Define other methods and classes here
int F1(int val)
{
	return val + 1;
}


int F2(int val)
{
	return val + 10;
}

int aggregator(int a, int b)
{
	return a + b;
}

