<Query Kind="Program">
  <Reference>&lt;RuntimeDirectory&gt;\System.Net.dll</Reference>
  <Namespace>System.Threading.Tasks</Namespace>
  <Namespace>System.Net</Namespace>
</Query>

void Main()
{
	var client = new WebClient();
	client.DownloadStringCompleted += DownloadComplete;
	client.DownloadStringAsync(new Uri("http://www.ThinqLinq.com/Rss.aspx"));
	
	Console.WriteLine("Done");
	Console.Read();
}

// Define other methods and	 classes here
void DownloadComplete(object sender, DownloadStringCompletedEventArgs e)
{
	var data = e.Result;
	var posts = from post in XDocument.Parse(data).Descendants("item")
				select post.Element("title").Value;
	posts.Dump();
	Console.WriteLine("Really Done");
}