<Query Kind="Program">
  <Reference>&lt;RuntimeDirectory&gt;\System.Net.dll</Reference>
  <Namespace>System.Threading.Tasks</Namespace>
  <Namespace>System.Net</Namespace>
</Query>

void Main()
{
	var client = new WebClient();
	client.DownloadStringCompleted += (sender, e) => 
			{
				var data = e.Result;
				var posts = from post in XDocument.Parse(data).Descendants("item")
							select post.Element("title").Value;
				posts.Dump();
				Console.Write("Really Done on ");
				Console.WriteLine(System.Threading.Thread.CurrentThread.ManagedThreadId);
			};
	client.DownloadStringAsync(new Uri("http://www.ThinqLinq.com/Rss.aspx"));
	
	Console.Write("Done on ");
	Console.WriteLine(System.Threading.Thread.CurrentThread.ManagedThreadId);
	Console.Read();
}